@import "../../../assets/abstracts/variables";

.main {
  height: 100%;
  display: flex;
  align-items: center;
  align-content: baseline;
  justify-content: center;
  background-color: $color-grey-background;
  flex-wrap: wrap;
}

.form-check {
  min-height: 50px;
}
.step-form {
  margin-top: 3rem;
}

.logo-connection {
  display: flex;
  justify-content: center;
  width: auto;
  height: 10rem;
  background-color: $color-grey-background;
}

.form-creation {
  margin-left: 20px;
  background-color: #FFF;
  border-radius: 2px;
  box-shadow: 0 0.25rem 1rem rgba(black, 0.2);
  padding: 25px;
}

.form-creation-title {
  margin-bottom: 3rem;
}

.error-valation-field {
  font-size: 80%;
  color: #dc3545;
}

.error-connection {
  width: 100%;
  margin-top: .25rem;
  font-size: 80%;
  color: #dc3545;
}

label {
  width: 100%;
}

h1 {
  border-bottom: 1px solid darkgrey;
  font-weight: bolder;
  font-size: 1.5rem;
}

h2 {
  font-size: 1rem;
  font-weight: bolder;
}
.button-create {
  width: 100%;
}
.btn {
  width: 100% ;
  text-align: center;
}


@media only screen and (max-width: 768px) {
  .main {
    flex-direction: column;
    justify-content: space-around;
  }
  .logo-connection {
    height: 7rem;
  }

  .form-creation {
    box-sizing: border-box;
    margin-left: 15px;
    margin-right: 15px;
    width: 95vw;
  }
}

@media only screen and (min-width: 1200px) {
  .form-creation {
    width: 60%;
    max-width: 800px;
  }

}
